[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: The (hopefully) final BDB-4.4 fix

From: Justin Erenkrantz <justin_at_erenkrantz.com>
Date: 2006-03-14 22:38:30 CET

On Tue, Mar 14, 2006 at 01:09:43PM -0800, Garrett Rooney wrote:
> Note that we also need an APR release in order to actually use BDB
> 4.4. We're talking right now about rolling a 0.9.x release this week,
> which will have the support in it. 1.2.x will follow reasonably soon
> after.

I know we're doing it for neon with 1.3.1, but I really dislike changing
any bundled dependencies in a patch release. Keeping that constant makes
it a tad easier to preserve backwards-compatibility in the patch release.
(Technically, we say that dependencies don't play into our version-compat
rules; but we do know that it practically has some effect.)

This does mean that a 1.3.2 w/BDB 4.4 will not work with 1.3.1. Plus, this
also means that an Apache httpd has to be re-built with the new APR so that
mod_dav_svn doesn't freak out.

So, my opinion is that BDB 4.4 is too big of a change for a 'patch'
release.

-1 for 1.3.2 (vote, not veto). -- justin

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Mar 14 22:39:53 2006

This is an archived mail posted to the Subversion Dev mailing list.